<?php

class Procedencia extends Conexion {
    /* =============================================
      ACTUALIZAR INFORMACION PERSONAL
      ============================================= */

    public function mdlInsertarActualizarProcedencia($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql_verificar = "Select count(*) as total from procedencia where proc_personadbk = ?";
        $sql_verificar = $conectar->prepare($sql_verificar);
        $sql_verificar->bindValue(1, $datos["proc_personadbk"]);
        $sql_verificar->execute();
        $res = $sql_verificar->fetchAll();
        if (is_array($res) == true and count($res) <> 0) {
            foreach ($res as $tot) {
                $total = $tot["total"];
            }
        }
        if ($total == 0) {
            $sql = "
                    INSERT INTO " . $datos["tabla"] . " 
                    (proc_pais,
                    proc_provincia,
                    proc_canton,
                    proc_parroquia,
                    proc_barrio,
                    proc_zona,
                    proc_direccion,
                    proc_personadbk) 
                    VALUES(?,?,?,?,?,?,?,?);
                    ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["proc_pais"]);
            if ($datos["proc_pais"] == 56) {
                $sql->bindValue(2, $datos["proc_provincia"]);
                $sql->bindValue(3, $datos["proc_canton"]);
            } else {
                $sql->bindValue(2, $datos["proc_provinciatxt"]);
                $sql->bindValue(3, $datos["proc_cantontxt"]);
            }
            $sql->bindValue(4, $datos["proc_parroquia"]);
            $sql->bindValue(5, $datos["proc_barrio"]);
            $sql->bindValue(6, $datos["proc_zona"]);
            $sql->bindValue(7, $datos["proc_direccion"]);
            $sql->bindValue(8, $datos["proc_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . "  
                SET proc_pais = ?,
                proc_provincia = ?,
                proc_canton = ?,
                proc_parroquia = ?,
                proc_barrio = ?,
                proc_zona = ?,
                proc_direccion = ? 
                WHERE proc_personadbk = ?";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["proc_pais"]);
            if ($datos["proc_pais"] == 56) {
                $sql->bindValue(2, $datos["proc_provincia"]);
                $sql->bindValue(3, $datos["proc_canton"]);
            } else {
                $sql->bindValue(2, $datos["proc_provinciatxt"]);
                $sql->bindValue(3, $datos["proc_cantontxt"]);
            }
            $sql->bindValue(4, $datos["proc_parroquia"]);
            $sql->bindValue(5, $datos["proc_barrio"]);
            $sql->bindValue(6, $datos["proc_zona"]);
            $sql->bindValue(7, $datos["proc_direccion"]);
            $sql->bindValue(8, $datos["proc_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        }
    }
    public function mdlConsultarRegistro($personadbk) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT count(*)as total FROM procedencia WHERE proc_personadbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $personadbk);
        $sql->execute();
        return $resultado = $sql->fetch();
    }      
}

?>